//  Copyright (c) 2021 NetEase, Inc.  All rights reserved.

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@protocol NEScreenShareHostDelegate <NSObject>

@optional

/// 共享开始的回调
- (void)onBroadcastStarted;

/// 共享暂停的回调
- (void)onBroadcastPaused;

/// 共享恢复的回调
- (void)onBroadcastResumed;

/// 共享完成的回调
- (void)onBroadcastFinished;

/// 帧回调，key详见NEScreenShareHostProtocol
- (void)onReceiveVideoFrameInfo:(NSDictionary<NSString *,id> *)videoFrameInfo;

@end

NS_ASSUME_NONNULL_END
